<div class="pd-15">
	<div class="block mb-0">
		<div class="block_head">
			Добавить тему
		</div>
		<div class="form-group">
			<label for="img">
				<h4>
					Изображение
				</h4>
			</label>
			<div class="row">
				<div class="col-md-3">
					<img id="pic" src="../files/forums_imgs/none.jpg" class="wh80x80 mb-10">
				</div>
				<div class="col-md-9">
					<div class="input-group">
						<form enctype="multipart/form-data" action="ajax/actions_a.php" method="POST" id="add_img_form">
							<input type="hidden" id="token" name="token" value="{token}">
							<input type="hidden" id="add_topic_img" name="add_topic_img" value="1">
							<input type="hidden" id="phpaction" name="phpaction" value="1">
							<input class="input-file w100" type="file" id="img" accept="image/*" name="img"/>
							<input class="btn2 mt-5" type="submit" value="Загрузить">
							<div id="img_result"></div>
						</form>
					</div>
				</div>
			</div>
			<script>
				$("#add_img_form").submit(function (event){
					NProgress.start();
					event.preventDefault();
					var data = new FormData($('#add_img_form')[0]);
					$.ajax({
						type: "POST",
						url: "../ajax/actions_a.php",
						data: data,
						contentType: false,
						processData: false,
					}).done(function (html) {
						$("#img_result").empty();
						$("#img_result").append(html);
						$('#add_img_form')[0].reset();
					});
					NProgress.done();
				});
			</script>
		</div>
		<div class="form-group">
			<label for="name">
				<h4>
					Название
				</h4>
			</label>
			<input type="text" class="form-control" id="name" maxlength="250" autocomplete="off">
		</div>
		<div class="form-group">
			<label for="input_keywords">
				<h4>
					Текст темы
				</h4>
			</label>
			<textarea id="text" class="form-control maxMinW100" rows="10"></textarea>
		</div>
		<div id="topic_result" class="mt-10"></div>
		<div class="smile_input_forum">
			<button id="create_btn" onclick="add_topic('{id}');" type="button" class="btn2">Создать</button>
			<div id="smile_btn" class="smile_btn visible-lg-inline-block type2" data-container="body" data-toggle="popover" data-placement="top" data-content="empty"></div>
		</div>
	</div>
</div>
<script>
	$(document).ready(function() {
		init_tinymce("text", "forum", "{file_manager_theme}", "{file_manager}", "{{md5($conf->code)}}");
		get_smiles('#smile_btn', 1);
	});

	$('#smile_btn').popover({ html: true, animation: true, trigger: "click" });
	$('#smile_btn').on('show.bs.popover', function () {
		$(document).mouseup(function (e) {
			var container = $(".popover-content");
			if (container.has(e.target).length === 0){
				$('#smile_btn').popover('hide'); selected = 'gcms_smiles';
			}
		});
	});

	function set_smile(elem){
		var smile =  "<img src=\""+$(elem).attr("src")+"\" class=\"g_smile\" height=\"20px\" width=\"20px\">";
		tinymce.activeEditor.insertContent(smile);
		$('#smile_btn').popover('hide'); selected = 'gcms_smiles';
	}
</script>